Skip to main content
POST
/
api
/
v2
/
campaigns
/
{id}
/
pause
Stop (or pause) a campaign
curl --request POST \
  --url https://api.instantly.ai/api/v2/campaigns/{id}/pause \
  --header 'Authorization: Bearer <token>'
{
  "id": "019cc043-aee6-7ae9-a545-d7de53430e37",
  "name": "My First Campaign",
  "status": 1,
  "campaign_schedule": {
    "schedules": [
      {
        "name": "My Schedule",
        "timing": {
          "from": "09:00",
          "to": "17:00"
        },
        "days": {
          "0": true,
          "1": true,
          "2": true,
          "3": true,
          "4": true,
          "5": false,
          "6": false
        },
        "timezone": "Etc/GMT+12"
      }
    ],
    "start_date": "2025-09-25",
    "end_date": "2025-09-25"
  },
  "timestamp_created": "2026-03-05T23:09:47.110Z",
  "timestamp_updated": "2026-03-05T23:09:47.110Z",
  "pl_value": 100,
  "is_evergreen": false,
  "sequences": [
    {
      "steps": [
        {
          "type": "email",
          "delay": 2,
          "variants": [
            {
              "subject": "Hello {{firstName}}",
              "body": "Hey {{firstName}},\n\nI hope you are doing well.",
              "v_disabled": true
            }
          ],
          "delay_unit": "days",
          "pre_delay": 2,
          "pre_delay_unit": "days"
        }
      ]
    }
  ],
  "email_gap": 10,
  "random_wait_max": 10,
  "text_only": false,
  "first_email_text_only": false,
  "email_list": [
    "john@doe.com"
  ],
  "daily_limit": 100,
  "stop_on_reply": false,
  "email_tag_list": [
    "019cc043-aee6-7ae9-a545-d7df85a583a2"
  ],
  "link_tracking": true,
  "open_tracking": true,
  "stop_on_auto_reply": false,
  "daily_max_leads": 100,
  "prioritize_new_leads": false,
  "auto_variant_select": {
    "trigger": "reply_rate"
  },
  "match_lead_esp": false,
  "not_sending_status": 2,
  "stop_for_company": false,
  "core_variables": {},
  "custom_variables": {},
  "insert_unsubscribe_header": false,
  "allow_risky_contacts": false,
  "disable_bounce_protect": false,
  "limit_emails_per_company_override": {
    "mode": "custom",
    "daily_limit": 2,
    "scope": "per_campaign"
  },
  "cc_list": [
    "john@doe.com"
  ],
  "bcc_list": [
    "john@doe.com"
  ],
  "organization": "019cc043-aee6-7ae9-a545-d7e0e895498f",
  "owned_by": "019cc043-aee6-7ae9-a545-d7e131be967e",
  "ai_sdr_id": "019cc043-aee6-7ae9-a545-d7e2b38afb00",
  "provider_routing_rules": [
    {
      "action": "send",
      "recipient_esp": [
        "all"
      ],
      "sender_esp": [
        "all"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Campaign ID

Example:

"019cc043-e30c-7245-9123-846f843a87be"

Response

The requested Campaign

A campaign that can be sent to a list of recipients

id
string<uuid>
required

Unique identifier for the campaign

Example:

"019cc043-aee6-7ae9-a545-d7de53430e37"

name
string
required

Name of the campaign

Example:

"My First Campaign"

status
enum<number>
required

Campaign Status

Available options:
-99,
-1,
-2,
0,
1,
2,
3,
4
Example:

1

campaign_schedule
object
required

Campaign schedule

timestamp_created
string
required

Timestamp when the campaign was created

Example:

"2026-03-05T23:09:47.110Z"

timestamp_updated
string
required

Timestamp when the campaign was last updated

Example:

"2026-03-05T23:09:47.110Z"

pl_value
null | number

Value of every positive lead

Example:

100

is_evergreen
null | boolean

Whether the campaign is evergreen

Example:

false

sequences
object[]

List of sequences (the actual email copy). Even though this field is an array, only the first element is used, so please provide only one array item, and add the steps to that array

email_gap
null | number

The gap between emails in minutes

Example:

10

random_wait_max
null | number

The maximum random wait time in minutes

Example:

10

text_only
null | boolean

Whether the campaign is text only

Example:

false

first_email_text_only
null | boolean

Whether the campaign is send the first email as a text only

Example:

false

email_list
string[]

List of accounts to use for sending emails

daily_limit
null | number

The daily limit for sending emails

Example:

100

stop_on_reply
null | boolean

Whether to stop the campaign on reply

Example:

false

email_tag_list
string<uuid>[]

List of tags to use for sending emails

Whether to track links in emails

Example:

true

open_tracking
null | boolean

Whether to track opens in emails

Example:

true

stop_on_auto_reply
null | boolean

Whether to stop the campaign on auto reply

Example:

false

daily_max_leads
null | number

The daily maximum new leads to contact

Example:

100

prioritize_new_leads
null | boolean

Whether to prioritize new leads

Example:

false

auto_variant_select
object

Auto variant select settings

match_lead_esp
null | boolean

Whether to match leads by ESP

Example:

false

not_sending_status
null | enum<number>

Campaign not sending status

Available options:
1,
2,
3,
4,
99
Example:

2

stop_for_company
null | boolean

Whether to stop the campaign for the entire company(domain) when a lead replies

Example:

false

core_variables
object

Campaign core variables

custom_variables
object

Campaign custom variables

insert_unsubscribe_header
null | boolean

Whether to insert an unsubscribe header in emails

Example:

false

allow_risky_contacts
null | boolean

Whether to allow risky contacts

Example:

false

disable_bounce_protect
null | boolean

Whether to disable bounce protection

Example:

false

limit_emails_per_company_override
object

Overrides the workspace-wide limit emails per company setting for this campaign.

cc_list
string<email>[]

List of accounts to CC on emails

bcc_list
string<email>[]

List of accounts to BCC on emails

organization
null | string<uuid>

Organization ID

Example:

"019cc043-aee6-7ae9-a545-d7e0e895498f"

owned_by
null | string<uuid>

Owner ID

Example:

"019cc043-aee6-7ae9-a545-d7e131be967e"

ai_sdr_id
null | string<uuid>

AI SDR ID that created this campaign

Example:

"019cc043-aee6-7ae9-a545-d7e2b38afb00"

provider_routing_rules
object[]

Auto variant select settings